#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

if {[flagLoc $ARGV -help]} \
   {
    puts "Utility to Generate Titles for Peaks in a Table."
    puts " -in inName \[test.tab\]  Input Peak Table."
    exit 0
   }

set inName test.tab

getArgD $ARGV -in inName

set t [gdbRead table -in $inName]

set eList [gdbGetInfo $t -parms entries]
set vList [gdbGetInfo $t -parms varNames]

foreach e $eList \
   {
    set tStr [gdbGet $e INDEX] 

    foreach v {X_PPM Y_PPM Z_PPM A_PPM} \
       {
        if {[lsearch -exact $vList $v] >= 0} {append tStr -[string trim [gdbGet $e $v]]ppm} 
       }

    append tStr -[string trim [gdbGet $e ASS]]

    puts $tStr
   }

exit 0
