/***/
/* table.h: include file for use with generic data table I/O.
/***/

struct hdrList *hdrInit();
void freeTab(), freeHdr();

int  rdTable(), rdTable2(), wrTable(), wrTableN(), addHdrLine(), addTabVar(),
     addMatVar(), getTabVar(), chTabVar(), getTabVal(), setTabVal();

char  *getTabData();
float getTabDataR();
int   getTabDataI();

#define VAR_NULL         0
#define VAR_TEXT         1
#define VAR_INT          2
#define VAR_FLT          3

#define EMPTY_TAB_BAD    0
#define EMPTY_TAB_OK     1

#define READ_DATA_NO     0
#define READ_DATA_YES    1

#define DEF_NULL_VAL  -666

/***/
/* This structure is used to create a linked list of optional
/* header lines which can be prefixed to the data table.
/***/

struct hdrList
   {
    char           *text;
    struct hdrList *next;
   };

/***/
/* This structure is used to describe a single variable (column)
/* for the data table.  If the variable is a a text variable,
/* then its text values will be converted to dummy integer values. 
/* The conversion table for a text variable will be stored at
/* equivList, so that dummy value i has text value list[i].
/***/

struct tabVar 
   {
    int   type;               /* Variable Type, Text, Int, Float      */
    float tol;                /* +/- tolerance associated with var.   */
    char  *name;	      /* Name of the variable.                */
    char  *fmt;	              /* C format of variable, e.g. %4.1f     */
    int   equivCount;         /* Number of equivalents in equivList.  */
    char  **equivList;        /* Text values for converted text vars  */
   };

int mapText(), isDataLine();
